Deny consent request
curl --request POST \
--url https://staging-idaas.yourflexpay.com/api/v1/consent/{consentToken}/deny \
--header 'Authorization: Bearer <token>'import requests
url = "https://staging-idaas.yourflexpay.com/api/v1/consent/{consentToken}/deny"
headers = {"Authorization": "Bearer <token>"}
response = requests.post(url, headers=headers)
print(response.text)const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
fetch('https://staging-idaas.yourflexpay.com/api/v1/consent/{consentToken}/deny', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagString": "<string>",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectExternalId": "<string>",
"requestedByAppId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedByAppName": "<string>",
"state": "PENDING",
"requestedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"consentToken": "<string>",
"approvalUrl": "<string>",
"tokenExpiresAt": "2023-11-07T05:31:56Z"
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagString": "<string>",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectExternalId": "<string>",
"requestedByAppId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedByAppName": "<string>",
"state": "PENDING",
"requestedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"consentToken": "<string>",
"approvalUrl": "<string>",
"tokenExpiresAt": "2023-11-07T05:31:56Z"
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}{
"success": true,
"message": "<string>",
"errorCode": "<string>",
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tagString": "<string>",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectExternalId": "<string>",
"requestedByAppId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requestedByAppName": "<string>",
"state": "PENDING",
"requestedAt": "2023-11-07T05:31:56Z",
"approvedAt": "2023-11-07T05:31:56Z",
"revokedAt": "2023-11-07T05:31:56Z",
"consentToken": "<string>",
"approvalUrl": "<string>",
"tokenExpiresAt": "2023-11-07T05:31:56Z"
},
"errors": [
"<string>"
],
"timestamp": "2023-11-07T05:31:56Z"
}Consent
Deny consent request
Denies a pending consent token and marks the related claim request as rejected.
POST
/
v1
/
consent
/
{consentToken}
/
deny
Deny consent request
Authorizations
Obtain a token from POST /v1/auth/token using your client_id and client_secret, then enter Bearer <token> here.
Path Parameters
⌘I